### Method

# Gimp Brush get_info

since: 2.2

#### Declaration [src]

    gboolean
    gimp_brush_get_info (
      GimpBrush* brush,
      gint* width,
      gint* height,
      gint* mask_bpp,
      gint* color_bpp
    )

#### Description [src]

Gets information about the brush.

Gets information about the brush: brush extents (width and height), color depth and mask depth (bpp). The color bpp is zero when the brush is parametric versus raster.

Available since: 2.2

#### Parameters

`width`

  Type: `gint*`

  The brush width.

  The argument will be set by the function.

`height`

  Type: `gint*`

  The brush height.

  The argument will be set by the function.

`mask_bpp`

  Type: `gint*`

  The brush mask bpp.

  The argument will be set by the function.

`color_bpp`

  Type: `gint*`

  The brush color bpp.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.